package com.mdd.admin.service.impl;

import com.mdd.admin.service.ISettingWebsiteService;
import com.mdd.admin.validate.setting.SettingWebsiteValidate;
import com.mdd.admin.vo.setting.SettingWebsiteVo;
import com.mdd.common.util.ConfigUtils;
import com.mdd.common.util.UrlUtils;
import java.util.Map;
import org.springframework.stereotype.Service;

@Service
public class SettingWebsiteServiceImpl implements ISettingWebsiteService {
   public SettingWebsiteVo detail() {
      Map<String, String> config = ConfigUtils.get("website");
      SettingWebsiteVo vo = new SettingWebsiteVo();
      vo.setName((String)config.getOrDefault("name", ""));
      vo.setLogo(UrlUtils.toAbsoluteUrl((String)config.getOrDefault("logo", "")));
      vo.setFavicon(UrlUtils.toAbsoluteUrl((String)config.getOrDefault("favicon", "")));
      vo.setBackdrop(UrlUtils.toAbsoluteUrl((String)config.getOrDefault("backdrop", "")));
      vo.setShopName((String)config.getOrDefault("shopName", ""));
      vo.setShopLogo(UrlUtils.toAbsoluteUrl((String)config.getOrDefault("shopLogo", "")));
      vo.setPcLogo(UrlUtils.toAbsoluteUrl((String)config.getOrDefault("pcLogo", "")));
      vo.setPcIco(UrlUtils.toAbsoluteUrl((String)config.getOrDefault("pcIco", "")));
      vo.setPcTitle((String)config.getOrDefault("pcTitle", ""));
      vo.setPcDesc((String)config.getOrDefault("pcDesc", ""));
      vo.setPcKeywords((String)config.getOrDefault("pcKeywords", ""));
      return vo;
   }

   public void save(SettingWebsiteValidate websiteValidate) {
      ConfigUtils.set("website", "name", websiteValidate.getName());
      ConfigUtils.set("website", "logo", UrlUtils.toRelativeUrl(websiteValidate.getLogo()));
      ConfigUtils.set("website", "favicon", UrlUtils.toRelativeUrl(websiteValidate.getFavicon()));
      ConfigUtils.set("website", "backdrop", UrlUtils.toRelativeUrl(websiteValidate.getBackdrop()));
      ConfigUtils.set("website", "shopName", websiteValidate.getShopName());
      ConfigUtils.set("website", "shopLogo", UrlUtils.toRelativeUrl(websiteValidate.getShopLogo()));
      ConfigUtils.set("website", "pcLogo", UrlUtils.toRelativeUrl(websiteValidate.getPcLogo()));
      ConfigUtils.set("website", "pcIco", UrlUtils.toRelativeUrl(websiteValidate.getPcIco()));
      ConfigUtils.set("website", "pcTitle", websiteValidate.getPcTitle());
      ConfigUtils.set("website", "pcDesc", websiteValidate.getPcDesc());
      ConfigUtils.set("website", "pcKeywords", websiteValidate.getPcKeywords());
   }
}
